
From: Anton Blanchard <anton@samba.org>

From: Stephen Rothwell <sfr@canb.auug.org.au>

This patch just ensures that the RI bit is set really early as it seems it
is not on iSeries Power4 machines (or maybe OS400 v5r3 does this).


---

 25-akpm/arch/ppc64/kernel/head.S |    3 +++
 1 files changed, 3 insertions(+)

diff -puN arch/ppc64/kernel/head.S~ppc64-make-iseries-boot-mostly arch/ppc64/kernel/head.S
--- 25/arch/ppc64/kernel/head.S~ppc64-make-iseries-boot-mostly	Tue Mar 30 15:45:55 2004
+++ 25-akpm/arch/ppc64/kernel/head.S	Tue Mar 30 15:45:55 2004
@@ -496,6 +496,9 @@ __end_systemcfg:
 	.globl SystemReset_Iseries
 SystemReset_Iseries:
 	mfspr	r13,SPRG3		/* Get paca address */
+	mfmsr	r24
+	ori	r24,r24,MSR_RI
+	mtmsrd	r24			/* RI on */
 	lhz	r24,PACAPACAINDEX(r13)	/* Get processor # */
 	cmpi	0,r24,0			/* Are we processor 0? */
 	beq	.__start_initialization_iSeries	/* Start up the first processor */

_
